Index: trunk/SRC/ToBeReviewed/WIDGET/AUTOUR_de_XXX/buildcmd.pro
===================================================================
--- trunk/SRC/ToBeReviewed/WIDGET/AUTOUR_de_XXX/buildcmd.pro	(revision 221)
+++ trunk/SRC/ToBeReviewed/WIDGET/AUTOUR_de_XXX/buildcmd.pro	(revision 226)
@@ -5,5 +5,5 @@
 ;
 ; @file_comments
-; This function send back a string which contain the reading command 
+; This function send back a string which contain the reading command
 ; and drawing's parameters.
 ;
@@ -11,11 +11,11 @@
 ;
 ; @keyword BOXZOOM
-; Vector indicating the geographic zone on which we want to cut the map. 
-; If BOXZOOM has : 
+; Vector indicating the geographic zone on which we want to cut the map.
+; If BOXZOOM has :
 ;   1 element : The extraction is made on [lon1, lon2, lat1, lat2, 0.,boxzoom[0]]
 ;   2 elements: The extraction is made on [lon1, lon2, lat1, lat2, boxzoom[0],boxzoom[1]]
 ;   4 elements: The extraction is made on [Boxzoom, 0, max([gdept, gdepw])]
 ;   5 elements: The extraction is made on [Boxzoom[0:3], 0, Boxzoom[4]]
-;   6 elements: The extraction is made on Boxzoom 
+;   6 elements: The extraction is made on Boxzoom
 ; Where lon1, lon2,lat1,lat2 are global variables defined at the last domdef!
 ;
@@ -54,5 +54,5 @@
   numdessinout = smallout[2]-1
 ;
-  options = extractatt(top_uvalue, 'options')   
+  options = extractatt(top_uvalue, 'options')
   optionsflag = extractatt(top_uvalue, 'optionsflag')
   portrait = (strtrim(optionsflag[where(options EQ 'Portrait/Landscape'), 0], 1))[0]
@@ -83,5 +83,5 @@
 ;  Search of options
 ;
-  options = extractatt(top_uvalue, 'options')   
+  options = extractatt(top_uvalue, 'options')
   optionsflag = extractatt(top_uvalue, 'optionsflag')
   flags = optionsflag[*, numdessinin]
@@ -133,5 +133,5 @@
   widcmd =  strtrim(widcmd, 2)
   IF widcmd[0] EQ '' THEN widcmd = 'zzz'
-  
+
   cutcmd, widcmd[0], toread, numberofread, prefix, nameexp, ending
 ;
@@ -158,5 +158,5 @@
 ; we complet the reading command
         oldrdcmd = extractatt(top_uvalue, 'currentreadcmd')
-        nl = n_elements(oldrdcmd) 
+        nl = n_elements(oldrdcmd)
         oldrdcmd[nl-1] = oldrdcmd[nl-1] + ' $'
         readcmd[i] = prefix + readcmd[i]
@@ -164,5 +164,5 @@
       ENDELSE
 ; exit if we have to read other fields...
-      if alreadyread+1 NE numberofread-1 THEN BEGIN 
+      if alreadyread+1 NE numberofread-1 THEN BEGIN
         *top_uvalue[1, findline(top_uvalue, 'currentreadcmd')] = readcmd
         *top_uvalue[1, findline(top_uvalue, 'alreadyread')] = alreadyread+1
@@ -171,6 +171,6 @@
       ENDIF
 ; we finalize the reading command
-      IF ending NE '' THEN BEGIN 
-        nl = n_elements(readcmd) 
+      IF ending NE '' THEN BEGIN
+        nl = n_elements(readcmd)
         readcmd[nl-1] = readcmd[nl-1] + ' $'
         readcmd = [temporary(readcmd), ending]
@@ -186,8 +186,8 @@
       tgnm = strlowcase(tag_names(exextra))
       indtmp = where(tgnm EQ 'box' OR tgnm EQ 'boxzoom', cnt)
-      IF cnt EQ 1 THEN BEGIN 
+      IF cnt EQ 1 THEN BEGIN
         boxextra = exextra.(indtmp[0])
         exextra = extractstru(exextra, ['box', 'boxzoom'])
-      ENDIF 
+      ENDIF
       extra =  mixstru(exextra, extra)
       sextra = struct2string(extra)
@@ -214,5 +214,5 @@
     'vector':BEGIN
 ; for the vectors, there is 2 components. we read u when alreadyvector
-; is a interger and v when alreadyvector is a interger+0.5
+; is a integer and v when alreadyvector is a integer+0.5
       if floor(alreadyvector)+1 EQ 0 then begin
         if floor(alreadyvector) EQ alreadyvector then begin
@@ -226,5 +226,5 @@
       ENDIF ELSE BEGIN
         oldrdcmd = extractatt(top_uvalue, 'currentreadcmd')
-        nl = n_elements(oldrdcmd) 
+        nl = n_elements(oldrdcmd)
         oldrdcmd[nl-1] = oldrdcmd[nl-1] + ' $'
         readcmd[i] = prefix + readcmd[i]
@@ -235,6 +235,6 @@
         numberofread-1:BEGIN
 ; we finalize the reading command
-          IF ending NE '' THEN BEGIN 
-            nl = n_elements(readcmd) 
+          IF ending NE '' THEN BEGIN
+            nl = n_elements(readcmd)
             readcmd[nl-1] = readcmd[nl-1] + ' $'
             readcmd = [temporary(readcmd), ending]
@@ -252,6 +252,6 @@
         numberofread-0.5:BEGIN
 ; we finalize the reading command
-          IF ending NE '' THEN BEGIN 
-            nl = n_elements(readcmd) 
+          IF ending NE '' THEN BEGIN
+            nl = n_elements(readcmd)
             readcmd[nl-1] = readcmd[nl-1] + ' $'
             readcmd = [temporary(readcmd), ending]
@@ -301,5 +301,5 @@
       ENDIF ELSE BEGIN
         oldrdcmd = extractatt(top_uvalue, 'currentreadcmd')
-        nl = n_elements(oldrdcmd) 
+        nl = n_elements(oldrdcmd)
         oldrdcmd[nl-1] = oldrdcmd[nl-1] + ' $'
         readcmd[i] = prefix + readcmd[i]
@@ -307,5 +307,5 @@
       ENDELSE
 ;
-      if alreadyover+1 NE numberofread-1 THEN BEGIN 
+      if alreadyover+1 NE numberofread-1 THEN BEGIN
 ; we still need to read some files...
         *top_uvalue[1, findline(top_uvalue, 'currentreadcmd')] = readcmd
@@ -315,6 +315,6 @@
       ENDIF
 ; we finalize the reading command
-      IF ending NE '' THEN BEGIN 
-        nl = n_elements(readcmd) 
+      IF ending NE '' THEN BEGIN
+        nl = n_elements(readcmd)
         readcmd[nl-1] = readcmd[nl-1] + ' $'
         readcmd = [temporary(readcmd), ending]
@@ -362,5 +362,5 @@
 ; For [plots in z, box must have by default 0,profmax
   if strpos(type, 'z') NE -1 then BEGIN
-; If more than 1 level is selected: 
+; If more than 1 level is selected:
     widget_control, widget_info(base, find_by_uname = 'dthlv1'), get_value = niv1
     niv1 = niv1.combobox_index
Index: trunk/SRC/ToBeReviewed/WIDGET/AUTOUR_de_XXX/identifyclick.pro
===================================================================
--- trunk/SRC/ToBeReviewed/WIDGET/AUTOUR_de_XXX/identifyclick.pro	(revision 221)
+++ trunk/SRC/ToBeReviewed/WIDGET/AUTOUR_de_XXX/identifyclick.pro	(revision 226)
@@ -85,5 +85,5 @@
 ; t/3/0 End of the double click
       thisEvent EQ 'WIDGET_TIMER' AND uval.click EQ 3 AND press EQ 0:uval.click = 0
-; Imposible case in theory:
+; Impossible case in theory:
       ELSE:BEGIN
          print, thisEvent, uval.click, press
Index: trunk/SRC/ToBeReviewed/WIDGET/AUTOUR_de_XXX/scanfile.pro
===================================================================
--- trunk/SRC/ToBeReviewed/WIDGET/AUTOUR_de_XXX/scanfile.pro	(revision 221)
+++ trunk/SRC/ToBeReviewed/WIDGET/AUTOUR_de_XXX/scanfile.pro	(revision 226)
@@ -5,8 +5,7 @@
 ; @categories
 ;
-; 
+;
 ; @param NAMEFILE
 ;
-; 
 ; @keyword GRID {default='T'}{type=scalar string}
 ; Used to specify on which grid type are located the data
@@ -14,26 +13,21 @@
 ; @keyword _EXTRA
 ; Used to pass your keywords to isafile and ncdf_getaxis
-; 
+;
 ; @returns
-; 
-; 
+;
 ; @uses
-; 
-; 
+;
 ; @restrictions
-; 
-; 
+;
 ; @examples
-; 
-; 
+;
 ; @history
-; 
-; 
-; @version 
+;
+; @version
 ; $Id$
 ;
 ; @todo
 ; seb : I don't know what to do with that...
-; 
+;
 ;-
 ;
@@ -49,5 +43,5 @@
 ;       dont les noms sont 'x','lon...','xi_...' et 'y','lat...' ou
 ;       'eta_...' ou bien en majuscule.
-;       4) il doit exiter ds ce fichier une unique variable n''ayant
+;       4) il doit exister ds ce fichier une unique variable n''ayant
 ;       qu''une dimension et etant la dimension temporelle. cette
 ;       variable sera prise comme axe des temps. Rq: si plusieurs
@@ -55,10 +49,10 @@
 ;       variable
 ;       5) Cette variable axe des temps doit contenir l''attribut
-;       'units'qui doit etre ecrit suivant la syntaxe:
-;               "seconds since 0001-01-01 00:00:00" 
-;               "hours since 0001-01-01 00:00:00" 
-;               "days since 1979-01-01 00:59:59" 
-;               "months since 1979-01-01 00:59:59" 
-;               "years since 1979-01-01 00:59:59" 
+;       'units' qui doit etre ecrit suivant la syntaxe:
+;               "seconds since 0001-01-01 00:00:00"
+;               "hours since 0001-01-01 00:00:00"
+;               "days since 1979-01-01 00:59:59"
+;               "months since 1979-01-01 00:59:59"
+;               "years since 1979-01-01 00:59:59"
 ;
 ; je crois que c''est tout!
@@ -93,5 +87,5 @@
   namedim = strarr(inside.ndims)
   for dimiq = 0, inside.ndims-1 do begin
-    ncdf_diminq, cdfid, dimiq, tmpname, value 
+    ncdf_diminq, cdfid, dimiq, tmpname, value
     namedim[dimiq] = strlowcase(tmpname)
   ENDFOR
@@ -110,5 +104,5 @@
        (inter(invar.dim, dimidy))[0] NE -1 AND $
        ((where(invar.dim EQ inside.recdim))[0] NE -1 OR inside.recdim EQ -1) $
-    THEN namevar[varid] = invar.name 
+    THEN namevar[varid] = invar.name
   ENDFOR
   namevar = namevar[where(namevar NE '')]
@@ -135,9 +129,9 @@
         tmpnm[0] EQ 'xi_u'   AND tmpnm[1] EQ 'eta_rho':listgrid[i] = 'U'
         tmpnm[0] EQ 'xi_u'   AND tmpnm[1] EQ 'eta_v'  :listgrid[i] = 'F'
-        ELSE: 
-      ENDCASE 
+        ELSE:
+      ENDCASE
     ENDFOR
     empty = where(listgrid EQ '')
-    IF empty[0] NE -1 THEN BEGIN   
+    IF empty[0] NE -1 THEN BEGIN
 ; could we define the grid type from the file name??
       pattern = ['GRID.', 'GRID_', 'GRID', 'UPID_', '30ID_']
@@ -153,5 +147,5 @@
       ENDFOR
       listgrid[empty] = vargrid
-    ENDIF 
+    ENDIF
   ENDIF ELSE listgrid[*] = vargrid
 ;------------------------------------------------------------
@@ -159,5 +153,5 @@
 ;------------------------------------------------------------
   date0fk = date2jul(19000101)
-  IF inside.recdim EQ -1 THEN BEGIN 
+  IF inside.recdim EQ -1 THEN BEGIN
     jpt = 1
     time = date0fk
@@ -170,6 +164,6 @@
     repeat BEGIN
       IF varid LT inside.nvars THEN BEGIN
-        invar = ncdf_varinq(cdfid, varid) 
-        varid = varid+1        
+        invar = ncdf_varinq(cdfid, varid)
+        varid = varid+1
       ENDIF ELSE varid = 0
     endrep until (n_elements(invar.dim) EQ 1 AND invar.dim[0] EQ inside.recdim) OR (varid EQ 0)
@@ -177,10 +171,10 @@
 ;
     CASE 1 OF
-      varid EQ -1:BEGIN 
+      varid EQ -1:BEGIN
         dummy = report('the file '+fullname+' has no time axis.!C we create a fake calendar ...')
         fakecal = 1
         time = date0fk + lindgen(1>jpt)
       END
-      invar.natts EQ 0:BEGIN 
+      invar.natts EQ 0:BEGIN
         dummy = report('the variable '+invar.name+' has no attribut.!C we create a fake calendar ...')
         fakecal = 1
@@ -197,5 +191,5 @@
           fakecal = 1
           time = date0fk + lindgen(1>jpt)
-        ENDIF ELSE BEGIN 
+        ENDIF ELSE BEGIN
 ; we read the time axis
           ncdf_varget, cdfid, varid, time
@@ -223,8 +217,8 @@
             err = 1
           ENDIF
-          IF err GT 0 THEN BEGIN 
+          IF err GT 0 THEN BEGIN
             fakecal = 1
             time = date0fk + lindgen(1>jpt)
-          ENDIF ELSE BEGIN 
+          ENDIF ELSE BEGIN
             debut = str_sep(mots[2], '-')
 ;
@@ -241,10 +235,10 @@
                 'greg':IF n_elements(key_caltype) EQ 0 THEN key_caltype = 'greg'
                 ELSE:BEGIN
-;            notused = report('Unknown calendar: '+value+', we use greg calendar.') 
+;            notused = report('Unknown calendar: '+value+', we use greg calendar.')
                   key_caltype = 'greg'
                 END
               ENDCASE
             ENDIF ELSE BEGIN
-;        notused = report('Unknown calendar, we use '+key_caltype+' calendar.') 
+;        notused = report('Unknown calendar, we use '+key_caltype+' calendar.')
               IF n_elements(key_caltype) EQ 0 THEN key_caltype = 'greg'
             ENDELSE
@@ -259,5 +253,5 @@
               'hour':time = julday(debut[1], debut[2], debut[0])+time/24.d
               'day':time = julday(debut[1], debut[2], debut[0])+time
-              'month':BEGIN 
+              'month':BEGIN
                 if total(fix(time) NE time) NE 0 then $ ; we switch to days with 30d/m
                    time = julday(debut[1], debut[2], debut[0])+round(time*30) $
Index: trunk/SRC/ToBeReviewed/WIDGET/AUTOUR_de_XXX/xcreateanim.pro
===================================================================
--- trunk/SRC/ToBeReviewed/WIDGET/AUTOUR_de_XXX/xcreateanim.pro	(revision 221)
+++ trunk/SRC/ToBeReviewed/WIDGET/AUTOUR_de_XXX/xcreateanim.pro	(revision 226)
@@ -5,31 +5,24 @@
 ; @categories
 ;
-; 
 ; @param EVENT
 ;
-; 
 ; @returns
-; 
-; 
+;
 ; @uses
-; 
-; 
+;
 ; @restrictions
-; 
-; 
+;
 ; @examples
-; 
-; 
+;
 ; @history
-; 
-; 
+;
 ; @version
-; $Id$ 
-; 
+; $Id$
+;
 ; @todo
 ; seb
 ;
 ;-
-pro xcreateanim_event, event 
+pro xcreateanim_event, event
 ;
   compile_opt idl2, strictarrsubs
@@ -61,10 +54,10 @@
   widget_control, widget_info(event.top, find_by_uname = 'debut') $
                   , get_value = vdate1
-  index1 = where(calendar eq date2jul(vdate1)) & index1 = index1[0] 
+  index1 = where(calendar eq date2jul(vdate1)) & index1 = index1[0]
   if index1 EQ -1 then return
 ;
   widget_control, widget_info(event.handler, find_by_uname = 'fin') $
                   , get_value = vdate2
-  index2 = where(calendar eq date2jul(vdate2)) & index2 = index2[0] 
+  index2 = where(calendar eq date2jul(vdate2)) & index2 = index2[0]
   if index2 EQ -1 OR index2 LE index1 then return
 ; We delete the widget before create the file .ps
@@ -73,5 +66,5 @@
 ; creation of the routine which will serve us to do the drawing
 ;
-; We recuperate the list of instructions 
+; We recuperate the list of instructions
   globalcommand = extractatt(top_uvalue, 'globalcommand')
 ; We complete by first and last lines of the program
@@ -113,5 +106,5 @@
     green = green[index]
     blue = blue[index]
-  endif            
+  endif
 ;
   if depth gt 8 then $
@@ -133,5 +126,5 @@
       IF keyword_set(fakecal) THEN date = ind ELSE date = jul2date(calendar[ind])
       xxx2ps, /noerase, date1 = date, date2 = date
-;      
+;
       image = tvrd(true = depth GT 8)
 ;
@@ -142,5 +135,5 @@
       wdelete, !d.window
     ENDFOR
-  ENDIF 
+  ENDIF
 ; We put a last white picture
   window, /free, /pixmap, xsize = xsize, ysize = ysize
@@ -155,6 +148,6 @@
   wdelete, !d.window
 ; File's closing.
-  write_gif, animdir+nomfic, /close 
-  widget_control, base, /destroy 
+  write_gif, animdir+nomfic, /close
+  widget_control, base, /destroy
 ; Rerock in "normal" mode
   thisOS = strupcase(strmid(!version.os_family, 0, 3))
@@ -169,5 +162,5 @@
   endif
 ;
-  
+
   return
 end
@@ -179,26 +172,22 @@
 ; @categories
 ;
-; 
+;
 ; @param PARENT
 ;
-; 
+;
 ; @returns
-; 
-; 
+;
+;
 ; @uses
-; 
-; 
+;
 ; @restrictions
-; 
-; 
+;
 ; @examples
-; 
-; 
+;
 ; @history
-; 
-; 
+;
 ; @version
-; $Id$ 
-; 
+; $Id$
+;
 ; @todo
 ; seb
@@ -229,5 +218,5 @@
    if strtrim(filenames[0], 1) EQ '' then filenames = filenames[1:n_elements(filenames)-1]
    indexfile = (where(filelist EQ filenames[0]))[0]
-   calendar = (*(extractatt(top_uvalue, 'fileparameters'))[indexfile]).time_counter  
+   calendar = (*(extractatt(top_uvalue, 'fileparameters'))[indexfile]).time_counter
    key_caltype = (*(extractatt(top_uvalue, 'fileparameters'))[indexfile]).caltype
    fakecal = (*(extractatt(top_uvalue, 'fileparameters'))[indexfile]).fakecal
@@ -237,9 +226,9 @@
          calendarbis = (*(extractatt(top_uvalue, 'fileparameters'))[indexfilebis]).time_counter
          if n_elements(calendarbis) NE n_elements(calendar)  then begin
-            nothing = report('Les diffrents plots n''utilisent pas le meme calendrier. !C Animation impossible!', /error)
+            nothing = report('plots do not use the same calendar. !C Animation impossible!', /error)
             return
          ENDIF
          if total(calendar NE calendarbis) NE 0 then begin
-            nothing = report('Les diffrents plots n''utilisent pas le meme calendrier. !C Animation impossible!', /error)
+            nothing = report('plots do not use the same calendar. !C Animation impossible!', /error)
             return
          endif
@@ -249,5 +238,5 @@
 ; It is possible to do an animation.
 ;
-   base = widget_base(/column, title = 'animation creation', uvalue = {parent:parent, indexfile:indexfile})   
+   base = widget_base(/column, title = 'animation creation', uvalue = {parent:parent, indexfile:indexfile})
    rien = widget_label(base, value = 'animation name')
    rien = widget_text(base,value='anim_idl.gif', uname='Filename', /editable)
@@ -266,5 +255,5 @@
    widget_control,base,/realize
    xmanager,'xcreateanim', base, /no_block
-   
+
    return
 end
Index: trunk/SRC/ToBeReviewed/WIDGET/AUTOUR_de_XXX/xxxmenubar_event.pro
===================================================================
--- trunk/SRC/ToBeReviewed/WIDGET/AUTOUR_de_XXX/xxxmenubar_event.pro	(revision 221)
+++ trunk/SRC/ToBeReviewed/WIDGET/AUTOUR_de_XXX/xxxmenubar_event.pro	(revision 226)
@@ -5,27 +5,21 @@
 ; @categories
 ;
-; 
+;
 ; @param EVENT
 ;
-; 
 ; @returns
-; 
-; 
+;
 ; @uses
-; 
-; 
+;
 ; @restrictions
-; 
-; 
+;
 ; @examples
-; 
-; 
+;
 ; @history
-; 
-; 
-; @version 
+;
+; @version
 ; $Id$
 ;
-; @todo 
+; @todo
 ; seb
 ;-
@@ -39,5 +33,5 @@
 
   case event.value of
-    'Open' :begin 
+    'Open' :begin
       oldmeshparams = ccmeshparameters
       newfile = selectfile()
@@ -62,5 +56,5 @@
 ; What is the selected field ? Do we reselect it ?
       fieldname = widget_info(vlstid, /combobox_gettext)
-      index = where(newfile.fileparameters.listvar EQ fieldname) 
+      index = where(newfile.fileparameters.listvar EQ fieldname)
       widget_control, vlstid, set_value = newfile.fileparameters.listvar
       widget_control, vlstid, set_combobox_select = 0 > index[0]
@@ -117,5 +111,5 @@
       xxx, CALLERWIDID = event.top, _extra = extra
     end
-    'Quit':begin 
+    'Quit':begin
       widget_control, event.top, get_uvalue = top_uvalue
       ptr_free, extractatt(top_uvalue, 'exextra')
@@ -142,5 +136,5 @@
                  , /POSTSCRIPT
     END
-    'Animated gif' :begin 
+    'Animated gif' :begin
       IF float(strmid(!version.release,0,3)) GE 6.2 THEN xcreateanim, event.top
     end
@@ -174,5 +168,5 @@
       widget_control, event.top, get_uvalue = top_uvalue
 ; portrait or landscape ???
-      options = extractatt(top_uvalue, 'options')   
+      options = extractatt(top_uvalue, 'options')
       optionsflag = extractatt(top_uvalue, 'optionsflag')
       portrait = (optionsflag[where(options EQ 'Portrait/Landscape'), 0])[0]
@@ -203,5 +197,5 @@
       ENDIF
 ; We recuperate the name of the file
-      filename = xquestion('dans quel fichier bianire voulez vous sauver le widget ?', 'xxx_widget.dat')
+      filename = xquestion('In which binary file do you want to save the widget ?', 'xxx_widget.dat')
 ; We complete it by a .dat
       if rstrpos(filename, '.dat') NE strlen(filename)-4 then filename = filename+'.dat'
@@ -219,5 +213,5 @@
       for i = 0,  n_elements(commande)-1 do print, commande[i]
     end
-   'Portrait/Landscape' :begin 
+   'Portrait/Landscape' :begin
       widget_control, event.top, get_uvalue = top_uvalue
       options = extractatt(top_uvalue, 'options')
@@ -255,8 +249,8 @@
       ENDELSE
     end
-    'Overlay' :begin 
+    'Overlay' :begin
       widget_control, event.top, get_uvalue = top_uvalue
       numdessinin = (extractatt(top_uvalue, 'smallin'))[2]-1
-      options = extractatt(top_uvalue, 'options')   
+      options = extractatt(top_uvalue, 'options')
       flags = extractatt(top_uvalue, 'optionsflag')
       index = where(options EQ 'Overlay')
@@ -269,5 +263,5 @@
       widget_control, event.top, get_uvalue = top_uvalue
       numdessinin = (extractatt(top_uvalue, 'smallin'))[2]-1
-      options = extractatt(top_uvalue, 'options')   
+      options = extractatt(top_uvalue, 'options')
       flags = extractatt(top_uvalue, 'optionsflag')
       index = where(options EQ 'Vecteur')
@@ -280,5 +274,5 @@
       widget_control, event.top, get_uvalue = top_uvalue
       numdessinin = (extractatt(top_uvalue, 'smallin'))[2]-1
-      options = extractatt(top_uvalue, 'options')   
+      options = extractatt(top_uvalue, 'options')
       flags = extractatt(top_uvalue, 'optionsflag')
       index = where(options EQ 'Longitude / x index')
@@ -314,8 +308,8 @@
       (*top_uvalue[1, findline(top_uvalue, 'domaines')])[*, numdessinin] = boxzoom
     end
-    'Latitude / y index':begin 
+    'Latitude / y index':begin
       widget_control, event.top, get_uvalue = top_uvalue
       numdessinin = (extractatt(top_uvalue, 'smallin'))[2]-1
-      options = extractatt(top_uvalue, 'options')   
+      options = extractatt(top_uvalue, 'options')
       flags = extractatt(top_uvalue, 'optionsflag')
       index = where(options EQ 'Latitude / y index')
Index: trunk/SRC/ToBeReviewed/WIDGET/COMPOUND_WIDGET/cw_calendar.pro
===================================================================
--- trunk/SRC/ToBeReviewed/WIDGET/COMPOUND_WIDGET/cw_calendar.pro	(revision 221)
+++ trunk/SRC/ToBeReviewed/WIDGET/COMPOUND_WIDGET/cw_calendar.pro	(revision 226)
@@ -7,9 +7,9 @@
 ;    case uval of
 ;       'done':widget_control, event.top, /destroy
-;       'set':BEGIN 
+;       'set':BEGIN
 ;          widget_control, event.id, get_value = value
 ;          widget_control, ComboboxId, set_value = value
 ;       END
-;       'get':BEGIN 
+;       'get':BEGIN
 ;          widget_control, ComboboxId, get_value = value
 ;          help,  value, /struct
@@ -40,8 +40,7 @@
 ; @file_comments
 ;
-;
-; @categories
-; Compound widget
-; 
+; @categories
+; Compound widget
+;
 ; @param ID
 ;
@@ -51,19 +50,14 @@
 ;
 ; @returns
-; 
-; 
-; @uses
-; 
-; 
-; @restrictions
-; 
-; 
-; @examples
-; 
-; 
-; @history
-; 
-; 
-; @version 
+;
+; @uses
+;
+; @restrictions
+;
+; @examples
+;
+; @history
+;
+; @version
 ; $Id$
 ;-
@@ -71,5 +65,5 @@
 PRO cw_calendar_set_value, id, value
 ;
-  compile_opt strictarr, strictarrsubs 
+  compile_opt strictarr, strictarrsubs
 ;
 ;
@@ -79,9 +73,9 @@
   widget_control, winfo_id, get_uvalue = infowid
   key_caltype = infowid.caltype
-  
+
 ; high freqeuncy calendar
   IF keyword_set(infowid.fakecal) THEN BEGIN
     value2 = date2jul(long(value)) - infowid.fakecal
-    IF value2 LT n_elements(infowid.calendar) AND value2 GE 0 THEN BEGIN  
+    IF value2 LT n_elements(infowid.calendar) AND value2 GE 0 THEN BEGIN
       stepid = widget_info(id, find_by_uname = 'step')
       widget_control, stepid, set_value = {combobox_select:value2}
@@ -89,5 +83,5 @@
       widget_control, winfo_id, set_uvalue = infowid
     ENDIF
-  ENDIF ELSE BEGIN 
+  ENDIF ELSE BEGIN
 ;
     value = long(value[0])
@@ -122,29 +116,24 @@
 ; @categories
 ; Compound widget
-; 
+;
 ; @param ID
 ;
 ;
 ; @returns
-; 
-; 
-; @uses
-; 
-; 
-; @restrictions
-; 
-; 
-; @examples
-; 
-; 
-; @history
-; 
-; 
-; @version 
+;
+; @uses
+;
+; @restrictions
+;
+; @examples
+;
+; @history
+;
+; @version
 ; $Id$
 ;-
 FUNCTION cw_calendar_get_value, id
 ;
-  compile_opt strictarr, strictarrsubs 
+  compile_opt strictarr, strictarrsubs
 ;
   winfo_id = widget_info(id, find_by_uname = 'infocal')
@@ -159,5 +148,5 @@
 ; @categories
 ; Compound widget
-; 
+;
 ; @param ID
 ;
@@ -167,24 +156,19 @@
 ;
 ; @returns
-; 
-; 
-; @uses
-; 
-; 
-; @restrictions
-; 
-; 
-; @examples
-; 
-; 
-; @history
-; 
-; 
-; @version 
-; $Id$
-;-
-FUNCTION get_cal_value, id, winfoid 
-;
-  compile_opt strictarr, strictarrsubs 
+;
+; @uses
+;
+; @restrictions
+;
+; @examples
+;
+; @history
+;
+; @version
+; $Id$
+;-
+FUNCTION get_cal_value, id, winfoid
+;
+  compile_opt strictarr, strictarrsubs
 ;
   winfo_id = widget_info(id, find_by_uname = 'infocal')
@@ -202,5 +186,5 @@
     widget_control, wid_id, get_value = wid_value
     allmonths = string(format = '(C(CMoA))', 31*(indgen(12)))
-    month = (where(allmonths EQ wid_value.combobox_gettext))[0] + 1 
+    month = (where(allmonths EQ wid_value.combobox_gettext))[0] + 1
     date = date + 100L * long(month)
   ENDIF ELSE date = date + (oldate MOD 10000L)/100L*100L
@@ -224,5 +208,5 @@
 ; @categories
 ; Compound widget
-; 
+;
 ; @param EVENT
 ;
@@ -235,24 +219,19 @@
 ;
 ; @returns
-; 
-; 
-; @uses
-; 
-; 
-; @restrictions
-; 
-; 
-; @examples
-; 
-; 
-; @history
-; 
-; 
-; @version 
+;
+; @uses
+;
+; @restrictions
+;
+; @examples
+;
+; @history
+;
+; @version
 ; $Id$
 ;-
 PRO set_cal_combobox, event, casename, date0
 ;
-  compile_opt strictarr, strictarrsubs 
+  compile_opt strictarr, strictarrsubs
 ;
 ; casename: Which widget shall we move: 'day', 'month' or 'year' ?
@@ -269,10 +248,10 @@
 ; index of days/months/years according to date0
   case casename of
-    'day':BEGIN 
+    'day':BEGIN
 ; list of days corresponding to month0 and year0
       index = where(monthcal EQ month0 AND yearcal EQ year0)
       current = daycal[index]
     END
-    'month':BEGIN 
+    'month':BEGIN
 ; list of months corresponding to year0
       index = where(yearcal EQ year0)
@@ -283,5 +262,5 @@
       current = current[indexbis]
     END
-    'year':BEGIN 
+    'year':BEGIN
 ; keep only the uniq years
       index = uniq(yearcal)
@@ -297,5 +276,5 @@
   if casename EQ 'month' then begin
     widget_control, wid_id, set_value = string(format = '(C(CMoA))', 31*(current-1))
-  ENDIF ELSE BEGIN 
+  ENDIF ELSE BEGIN
     widget_control, wid_id, set_value = strtrim(current, 1)
   ENDELSE
@@ -310,5 +289,5 @@
     1:selected = 0
 ; 2: a new date has been specified...
-    2:BEGIN 
+    2:BEGIN
       case casename of
         'day':selected = (where(current EQ day0))[0]
@@ -325,5 +304,5 @@
 end
 ;----------------------------------------------------------------------
-; move cyclicly the calendar to the
+; move cyclically the calendar to the
 ; value 0 if event.out=1 or combobox_number-1 if event.out=-1
 ;+
@@ -333,5 +312,5 @@
 ; @categories
 ; Compound widget
-; 
+;
 ; @param EVENT
 ;
@@ -341,24 +320,19 @@
 ;
 ; @returns
-; 
-; 
-; @uses
-; 
-; 
-; @restrictions
-; 
-; 
-; @examples
-; 
-; 
-; @history
-; 
-; 
-; @version 
+;
+; @uses
+;
+; @restrictions
+;
+; @examples
+;
+; @history
+;
+; @version
 ; $Id$
 ;-
 PRO move, event, casename
 ;
-  compile_opt strictarr, strictarrsubs 
+  compile_opt strictarr, strictarrsubs
 ;
    possiblecase = ['day', 'month', 'year', 'impossiblecase']
@@ -391,24 +365,19 @@
 ; @categories
 ; Compound widget
-; 
+;
 ; @param EVENT
 ;
 ;
 ; @returns
-; 
-; 
-; @uses
-; 
-; 
-; @restrictions
-; 
-; 
-; @examples
-; 
-; 
-; @history
-; 
-; 
-; @version 
+;
+; @uses
+;
+; @restrictions
+;
+; @examples
+;
+; @history
+;
+; @version
 ; $Id$
 ;-
@@ -416,5 +385,5 @@
 ;
 @cm_4cal
-  compile_opt strictarr, strictarrsubs 
+  compile_opt strictarr, strictarrsubs
 ;
   winfo_id = widget_info(event.handler, find_by_uname = 'infocal')
@@ -424,5 +393,5 @@
   widget_control, event.id, get_uvalue = uval
 ; high frequency calendar
-  IF uval.name EQ 'step' THEN BEGIN 
+  IF uval.name EQ 'step' THEN BEGIN
     infowid.date = jul2date(event.index + infowid.fakecal)
   ENDIF ELSE BEGIN
@@ -434,5 +403,5 @@
 ; we try to move the combobox just right, with name: possiblecase[whichcase+1]
       if widget_info(event.handler, find_by_uname = possiblecase[whichcase+1]) EQ 0 then BEGIN
-; this widget do not exist we set cyclicly the current widget to the
+; this widget do not exist we set cyclically the current widget to the
 ; value 0 if event.out=1 or combobox_number-1 if event.out=-1
         widget_control, event.id, get_value = widvalue
@@ -451,5 +420,5 @@
 ; we update the date
     infowid = get_cal_value(event.handler, winfo_id)
-  ENDELSE 
+  ENDELSE
 ;
   widget_control, winfo_id, set_uvalue = infowid
@@ -465,5 +434,5 @@
 ; @categories
 ; Compound widget
-; 
+;
 ; @param PARENT {in}{required}
 ; The widget ID of the parent widget.
@@ -474,41 +443,33 @@
 ; @param JDATE0
 ;
-; 
 ; @keyword CALTYPE
-; 
-; 
+;
 ; @keyword FAKECAL
 ;
-; 
+;
 ; @keyword UVALUE
 ;
-; 
 ; @keyword UNAME
 ;
-; 
+;
 ; @keyword _EXTRA
 ; Used to pass your keywords
-; 
-; @returns
-; 
-; 
-; @uses
-; 
-; 
-; @restrictions
-; 
-; 
-; @examples
-; 
-; 
-; @history
-; 
-; 
-; @version 
+;
+; @returns
+;
+; @uses
+;
+; @restrictions
+;
+; @examples
+;
+; @history
+;
+; @version
 ; $Id$
 ;
 ; @todo
 ; seb
-; 
+;
 ;-
 FUNCTION cw_calendar, parent, calendar, jdate0, CALTYPE = CALTYPE, FAKECAL = fakecal, UVALUE = uvalue, UNAME = uname, _extra = ex
@@ -516,5 +477,5 @@
 @cm_4cal
 ;
-  compile_opt strictarr, strictarrsubs 
+  compile_opt strictarr, strictarrsubs
 ;
   if keyword_set(caltype) then key_caltype = caltype
@@ -547,9 +508,9 @@
                      , uvalue = {calendar:calendar, date:jul2date(jdate0), fakecal:fakecal, caltype: key_caltype})
 ;
-  IF keyword_set(fakecal) THEN BEGIN 
+  IF keyword_set(fakecal) THEN BEGIN
     cmbbid = cw_combobox_pm(base, UVALUE = {name:'step'}, UNAME = 'step' $
                             , value = strtrim(indgen(n_elements(calendar)), 1))
     widget_control, cmbbid, set_value = {combobox_select:(where(calendar EQ jdate0))[0]}
-  ENDIF ELSE BEGIN 
+  ENDIF ELSE BEGIN
 ;
     vallen = widget_info(base, string_size = 'm')
Index: trunk/SRC/ToBeReviewed/WIDGET/COMPOUND_WIDGET/cw_combobox_pm.pro
===================================================================
--- trunk/SRC/ToBeReviewed/WIDGET/COMPOUND_WIDGET/cw_combobox_pm.pro	(revision 221)
+++ trunk/SRC/ToBeReviewed/WIDGET/COMPOUND_WIDGET/cw_combobox_pm.pro	(revision 226)
@@ -7,17 +7,17 @@
 ;    case uval of
 ;       'done':widget_control, event.top, /destroy
-;       'dynamic_resize':BEGIN 
+;       'dynamic_resize':BEGIN
 ;          widget_control, event.id, get_value = value
 ;          widget_control, ComboboxId, set_value = {dynamic_resize:value}
 ;       END
-;       'combobox_select':BEGIN 
+;       'combobox_select':BEGIN
 ;          widget_control, event.id, get_value = value
 ;          widget_control, ComboboxId, set_value = {combobox_select:value}
 ;       END
-;       'value':BEGIN 
+;       'value':BEGIN
 ;          widget_control, event.id, get_value = value
 ;          widget_control, ComboboxId, set_value = value
 ;       END
-;       'get':BEGIN 
+;       'get':BEGIN
 ;          widget_control, ComboboxId, get_value = value
 ;          help,  value, /struct
@@ -52,5 +52,5 @@
 ; @categories
 ; Compound widget
-; 
+;
 ; @param ID
 ;
@@ -60,19 +60,14 @@
 ;
 ; @returns
-; 
-; 
+;
 ; @uses
-; 
-; 
+;
 ; @restrictions
-; 
-; 
+;
 ; @examples
-; 
-; 
+;
 ; @history
-; 
-; 
-; @version 
+;
+; @version
 ; $Id$
 ;-
@@ -104,24 +99,18 @@
 ; @categories
 ; Compound widget
-; 
+;
 ; @param ID
 ;
-;
 ; @returns
-; 
-; 
+;
 ; @uses
-; 
-; 
+;
 ; @restrictions
-; 
-; 
+;
 ; @examples
-; 
-; 
+;
 ; @history
-; 
-; 
-; @version 
+;
+; @version
 ; $Id$
 ;-
@@ -147,24 +136,18 @@
 ; @categories
 ; Compound widget
-; 
+;
 ; @param EVENT
 ;
-;
 ; @returns
-; 
-; 
+;
 ; @uses
-; 
-; 
+;
 ; @restrictions
-; 
-; 
+;
 ; @examples
-; 
-; 
+;
 ; @history
-; 
-; 
-; @version 
+;
+; @version
 ; $Id$
 ;-
@@ -187,5 +170,5 @@
    case uval OF
       'plus':BEGIN
-         if index LT (cmbbnumb - 1) then BEGIN 
+         if index LT (cmbbnumb - 1) then BEGIN
            index = index + 1
            widget_control, ComboboxId, set_combobox_select = index
@@ -193,5 +176,5 @@
       END
       'minus':BEGIN
-         if index GT 0 then BEGIN 
+         if index GT 0 then BEGIN
            index = index - 1
            widget_control, ComboboxId, set_combobox_select = index
@@ -212,5 +195,5 @@
 ; @categories
 ; Compound widget
-; 
+;
 ; @param PARENT {in}{required}
 ; The widget ID of the parent widget.
@@ -219,15 +202,15 @@
 ; Buttons will be arranged in the number of columns
 ; specified by this keyword.
-; 
+;
 ; @keyword ROW
 ; Buttons will be arranged in the number of rows
 ; specified by this keyword.
-; 
+;
 ; @keyword UVALUE
 ; The user value to be associated with the widget.
-; 
+;
 ; @keyword UNAME
 ; The user name to be associated with the widget.
-; 
+;
 ; @keyword VALUE
 ;
@@ -258,5 +241,5 @@
 ;   index the array of names originally used to set the widget''s
 ;   value
-;   OUT:It is an integer which can take 3 values: 
+;   OUT:It is an integer which can take 3 values:
 ;       1 : If we press + when the index is already at the max
 ;       Comment: In this case, the index stay at the max
@@ -271,5 +254,5 @@
 ;       1) GET_VALUE
 ;   widget_control,wid_id,get_value=resultat
-;   Send back, in the result variable, a structure of 3 elements whose 
+;   Send back, in the result variable, a structure of 3 elements whose
 ;   names are inspired by keywords we can pass at widget_control when
 ;   we use WIDGET_COMBOBOX:
@@ -285,8 +268,8 @@
 ;       2) SET_VALUE
 ;   widget_control,wid_id,set_value=impose
-;   Allows to modify the state of the combobox like we can do it for 
-;   WIDGET_COMBOBOX. May impose: 
+;   Allows to modify the state of the combobox like we can do it for
+;   WIDGET_COMBOBOX. May impose:
 ;       a) The contents of the list widget (string or string array)
-;       b) A structure which can have for elements (from 1 to 3): 
+;       b) A structure which can have for elements (from 1 to 3):
 ;            DYNAMIC_RESIZE:Set this keyword to activate (if set to 1)
 ;            or deactivate (if set to 0) dynamic resizing of the
@@ -323,7 +306,7 @@
    IF (N_PARAMS() NE 1) THEN MESSAGE, 'Incorrect number of arguments'
    ON_ERROR, 2                  ;return to caller
-; cheking for row and column keywords
-   row = keyword_set(row)*(1-keyword_set(column)) 
-   column = keyword_set(column)*(1-keyword_set(row))+(keyword_set(column) EQ row) 
+; checking for row and column keywords
+   row = keyword_set(row)*(1-keyword_set(column))
+   column = keyword_set(column)*(1-keyword_set(row))+(keyword_set(column) EQ row)
    if NOT keyword_set(uvalue) then uvalue = ''
    if NOT keyword_set(uname) then uname = ''
@@ -333,9 +316,9 @@
                       , FUNC_GET_VALUE='cw_combobox_pm_get_value' $
                       , PRO_SET_VALUE='cw_combobox_pm_set_value' $
-                      , UVALUE = uvalue, UNAME = uname, _extra = ex)   
+                      , UVALUE = uvalue, UNAME = uname, _extra = ex) 
 ;
    vallen = widget_info(base, string_size = 'm')
    vallen = 35 + (vallen[0]-1)*max(strlen(value))
-   if keyword_set(row) THEN BEGIN 
+   if keyword_set(row) THEN BEGIN
      nothing = widget_button(base, value = '-', uvalue = 'minus', xoffset = 0 $
                              , yoffset = 5, xsize = 15, ysize = 15)
@@ -345,5 +328,5 @@
                              , xoffset = vallen+11, yoffset = 5 $
                              , xsize = 15, ysize = 15)
-   ENDIF ELSE BEGIN 
+   ENDIF ELSE BEGIN
      nothing = widget_combobox(base, VALUE = value, UVALUE = 'Combobox', UNAME = 'Combobox' $
                                , xoffset = 0, yoffset = 0, xsize = vallen)
@@ -354,5 +337,5 @@
                              , xoffset = vallen/2 $
                              , yoffset = 24, xsize = 15, ysize = 15)
-   ENDELSE 
+   ENDELSE
 ;
 ;   widget_control,base,/realize
Index: trunk/SRC/ToBeReviewed/WIDGET/COMPOUND_WIDGET/cw_domain.pro
===================================================================
--- trunk/SRC/ToBeReviewed/WIDGET/COMPOUND_WIDGET/cw_domain.pro	(revision 221)
+++ trunk/SRC/ToBeReviewed/WIDGET/COMPOUND_WIDGET/cw_domain.pro	(revision 226)
@@ -12,5 +12,5 @@
 ;          widget_control, Id, set_value = boxzoom
 ;       END
-;       'get':BEGIN 
+;       'get':BEGIN
 ;          widget_control, Id, get_value = value
 ;          print,  value
@@ -45,5 +45,5 @@
 ; @categories
 ; Compound widget
-; 
+;
 ; @param ID
 ;
@@ -53,19 +53,14 @@
 ;
 ; @returns
-; 
-; 
+;
 ; @uses
-; 
-; 
+;
 ; @restrictions
-; 
-; 
+;
 ; @examples
-; 
-; 
+;
 ; @history
-; 
-; 
-; @version 
+;
+; @version
 ; $Id$
 ;-
@@ -86,5 +81,5 @@
 ; What is the type of boxzoom ?
    currentplot = (extractatt(top_uvalue, 'smallin'))[2]-1
-   options = extractatt(top_uvalue, 'options')   
+   options = extractatt(top_uvalue, 'options')
    flags = extractatt(top_uvalue, 'optionsflag')
    flags = flags[*, currentplot]
@@ -119,5 +114,5 @@
    Case N_Elements(Value) OF
       0:boxzoom = [lonn1, lonn2, latt1, latt2, vertf1, vertf2]
-      1:BEGIN 
+      1:BEGIN
          if value EQ -1 then boxzoom = [lonn1, lonn2, latt1, latt2, vertf1, vertf2] $
          ELSE boxzoom=[lonn1, lonn2, latt1, latt2, 0.,value[0]]
@@ -127,5 +122,5 @@
       5:boxzoom=[Value[0:3], 0, Value[4]]
       6:boxzoom = Value
-      Else:BEGIN 
+      Else:BEGIN
          rien = report('Wrong Definition of Boxzoom')
       END
@@ -151,5 +146,5 @@
       min = floor(min([glamt,glamf], max = max))
       max = ceil(max)
-   ENDIF ELSE BEGIN 
+   ENDIF ELSE BEGIN
       min = 0
       max = jpi-1
@@ -195,5 +190,5 @@
       min = floor(min([gphit,gphif], max = max))
       max = ceil(max)
-   ENDIF ELSE BEGIN 
+   ENDIF ELSE BEGIN
       min = 0
       max = jpj-1
@@ -250,5 +245,5 @@
       widget_control, dthlv2id, set_value = {value:strtrim(gdep2, 1)}
    ENDIF ELSE gdep2 = gdep1+1
-; We make sure that given depthes contain at least one level.
+; We make sure that given depths contains at least one level.
    if boxzoom[4] GT boxzoom[5] then begin
       rien = boxzoom[4]
@@ -256,5 +251,5 @@
       boxzoom[5] = rien
    endif
-; 
+;
    rien = where(gdep1 LT boxzoom[4], indice1)
    indice1 = indice1 < (jpk-1)
@@ -279,5 +274,5 @@
    widget_control, depth1id, set_value = {slider_min:min1, slider_max:max1, value:boxzoom[4]}
    min2 = gdep2[indice1]
-   if indice2 EQ jpk-1 then BEGIN 
+   if indice2 EQ jpk-1 then BEGIN
       max2 = max([gdept, gdepw])
       max2 = strtrim(string(max2,format='(e8.0)'), 1)
@@ -295,24 +290,19 @@
 ; @categories
 ; Compound widget
-; 
+;
 ; @param ID
 ;
 ;
 ; @returns
-; 
-; 
+;
 ; @uses
-; 
-; 
+;
 ; @restrictions
-; 
-; 
+;
 ; @examples
-; 
-; 
+;
 ; @history
-; 
-; 
-; @version 
+;
+; @version
 ; $Id$
 ;-
@@ -337,24 +327,19 @@
 ; @categories
 ; Compound widget
-; 
+;
 ; @param EVENT
 ;
 ;
 ; @returns
-; 
-; 
+;
 ; @uses
-; 
-; 
+;
 ; @restrictions
-; 
-; 
+;
 ; @examples
-; 
-; 
+;
 ; @history
-; 
-; 
-; @version 
+;
+; @version
 ; $Id$
 ;-
@@ -408,5 +393,5 @@
             widget_control, dthlv2id, set_value = {combobox_select:event.index}
 ; So we redefine the value and the max of the slider 2
-            if event.index EQ jpk-1 then BEGIN 
+            if event.index EQ jpk-1 then BEGIN
                max = max([gdept, gdepw])
                max = strtrim(string(max,format='(e8.0)'), 1)
@@ -417,6 +402,6 @@
 ; So we redefine the max of the slider 1
             widget_control, depth1id, set_value = {slider_max:gdep1[event.index]}
-         END 
-; We redefine the value and the min of the slider depth1 
+         END
+; We redefine the value and the min of the slider depth1
          if event.index EQ 0 then min = 0 ELSE min = gdep1[event.index-1]+1
          widget_control, depth1id, set_value = {slider_min:min, value:gdep1[event.index]}
@@ -443,7 +428,7 @@
 ; Se we redefine the min of the slider 2
             widget_control, depth2id, set_value = {slider_min:gdep2[event.index]}
-         END 
+         END
 ; We redefine the value and the max of the slider depth 2
-         if event.index EQ jpk-1 then BEGIN 
+         if event.index EQ jpk-1 then BEGIN
             max = max([gdept, gdepw])
             max = strtrim(string(max,format='(e8.0)'), 1)
@@ -488,5 +473,5 @@
             widget_control, dthlv2id, set_value = {combobox_select:indice}
 ; So we redefine the min of the slider 2
-            if indice EQ jpk-1 then BEGIN 
+            if indice EQ jpk-1 then BEGIN
                max = max([gdept, gdepw])
                max = strtrim(string(max,format='(e8.0)'), 1)
@@ -510,14 +495,14 @@
 ; @categories
 ; Compound widget
-; 
+;
 ; @param PARENT {in}{required}
 ; The widget ID of the parent widget.
-; 
+;
 ; @keyword UVALUE
 ; The user value to be associated with the widget.
-; 
+;
 ; @keyword UNAME
 ; The user name to be associated with the widget.
-; 
+;
 ; @keyword STRICT
 ;
@@ -527,37 +512,32 @@
 ;
 ; @keyword BOXZOOM
-; Vector indicating the geographic zone on which we want to cut the map. 
-; If BOXZOOM has : 
+; Vector indicating the geographic zone on which we want to cut the map.
+; If BOXZOOM has :
 ;   1 element : The extraction is made on [lon1, lon2, lat1, lat2, 0.,boxzoom[0]]
 ;   2 elements: The extraction is made on [lon1, lon2, lat1, lat2, boxzoom[0],boxzoom[1]]
 ;   4 elements: The extraction is made on [Boxzoom, 0, max([gdept, gdepw])]
 ;   5 elements: The extraction is made on [Boxzoom[0:3], 0, Boxzoom[4]]
-;   6 elements: The extraction is made on Boxzoom 
+;   6 elements: The extraction is made on Boxzoom
 ; Where lon1, lon2,lat1,lat2 are global variables defined at the last domdef!
 ;
 ; @keyword _EXTRA
 ; Used to pass your keywords
-; 
+;
 ; @returns
-; 
-; 
+;
 ; @uses
-; 
-; 
+;
 ; @restrictions
-; 
-; 
+;
 ; @examples
-; 
-; 
+;
 ; @history
-; 
-; 
-; @version 
+;
+; @version
 ; $Id$
 ;
 ; @todo
 ; seb: Documenter
-; 
+;
 ;-
 FUNCTION cw_domain, parent, BOXZOOM = boxzoom, STRICT = strict, UVALUE = uvalue, UNAME = uname, UNZOOM = unzoom, _extra = ex
@@ -596,5 +576,5 @@
                      , FUNC_GET_VALUE = 'cw_domain_get_value' $
                      , PRO_SET_VALUE = 'cw_domain_set_value' $
-                     , UVALUE = uvalue, UNAME = uname, _extra = ex)   
+                     , UVALUE = uvalue, UNAME = uname, _extra = ex)
 ;------------------------------------------------
   baseh = widget_base(base, column = 1+keyword_set(unzoom), space = 0)
Index: trunk/SRC/ToBeReviewed/WIDGET/COMPOUND_WIDGET/cw_droplist_pm.pro
===================================================================
--- trunk/SRC/ToBeReviewed/WIDGET/COMPOUND_WIDGET/cw_droplist_pm.pro	(revision 221)
+++ trunk/SRC/ToBeReviewed/WIDGET/COMPOUND_WIDGET/cw_droplist_pm.pro	(revision 226)
@@ -6,17 +6,17 @@
 ;    case uval of
 ;       'done':widget_control, event.top, /destroy
-;       'dynamic_resize':BEGIN 
+;       'dynamic_resize':BEGIN
 ;          widget_control, event.id, get_value = value
 ;          widget_control, DroplistId, set_value = {dynamic_resize:value}
 ;       END
-;       'droplist_select':BEGIN 
+;       'droplist_select':BEGIN
 ;          widget_control, event.id, get_value = value
 ;          widget_control, DroplistId, set_value = {droplist_select:value}
 ;       END
-;       'value':BEGIN 
+;       'value':BEGIN
 ;          widget_control, event.id, get_value = value
 ;          widget_control, DroplistId, set_value = value
 ;       END
-;       'get':BEGIN 
+;       'get':BEGIN
 ;          widget_control, DroplistId, get_value = value
 ;          help,  value, /struct
@@ -54,7 +54,6 @@
 ; @categories
 ; Compound widget
-; 
+;
 ; @param ID
-;
 ;
 ; @param VALUE
@@ -62,19 +61,14 @@
 ;
 ; @returns
-; 
-; 
+;
 ; @uses
-; 
-; 
+;
 ; @restrictions
-; 
-; 
+;
 ; @examples
-; 
-; 
+;
 ; @history
-; 
-; 
-; @version 
+;
+; @version
 ; $Id$
 ;-
@@ -104,23 +98,18 @@
 ; @categories
 ; Compound widget
-; 
+;
 ; @param ID
 ;
 ; @returns
-; 
-; 
+;
 ; @uses
-; 
-; 
+;
 ; @restrictions
-; 
-; 
+;
 ; @examples
-; 
-; 
+;
 ; @history
-; 
-; 
-; @version 
+;
+; @version
 ; $Id$
 ;-
@@ -141,24 +130,18 @@
 ; @categories
 ; Compound widget
-; 
+;
 ; @param EVENT
 ;
-;
 ; @returns
-; 
-; 
+;
 ; @uses
-; 
-; 
+;
 ; @restrictions
-; 
-; 
+;
 ; @examples
-; 
-; 
+;
 ; @history
-; 
-; 
-; @version 
+;
+; @version
 ; $Id$
 ;-
@@ -200,5 +183,5 @@
 ; @categories
 ; Compound widget
-; 
+;
 ; @param PARENT {in}{required}
 ; The widget ID of the parent widget.
@@ -207,15 +190,15 @@
 ; Buttons will be arranged in the number of columns
 ; specified by this keyword.
-; 
+;
 ; @keyword ROW
 ; Buttons will be arranged in the number of rows
 ; specified by this keyword.
-; 
+;
 ; @keyword UVALUE
 ; The user value to be associated with the widget.
-; 
+;
 ; @keyword UNAME
 ; The user name to be associated with the widget.
-; 
+;
 ; @keyword _EXTRA
 ; Used to pass your keywords
@@ -243,5 +226,5 @@
 ;   index the array of names originally used to set the widget''s
 ;   value
-;   OUT:It is an integer which can take 3 values: 
+;   OUT:It is an integer which can take 3 values:
 ;       1 : If we press + when the index is already at the max
 ;       Comment: In this case, the index stay at the max
@@ -256,5 +239,5 @@
 ;       1) GET_VALUE
 ;   widget_control,wid_id,get_value=resultat
-;   Send back, in the result variable, a structure of 3 elements whose 
+;   Send back, in the result variable, a structure of 3 elements whose
 ;   names are inspired by keywords we can pass at widget_control when
 ;   we use WIDGET_COMBOBOX:
@@ -273,5 +256,5 @@
 ;   pour WIDGET_DROPLIST Impose peut etre:
 ;       a) The contents of the list widget (string or string array)
-;       b) A structure which can have for elements (from 1 to 3): 
+;       b) A structure which can have for elements (from 1 to 3):
 ;            DYNAMIC_RESIZE:Set this keyword to activate (if set to 1)
 ;            or deactivate (if set to 0) dynamic resizing of the
@@ -308,7 +291,7 @@
    IF (N_PARAMS() NE 1) THEN MESSAGE, 'Incorrect number of arguments'
    ON_ERROR, 2                  ;return to caller
-; cheking for row and column keywords
-   row = keyword_set(row)*(1-keyword_set(column)) 
-   column = keyword_set(column)*(1-keyword_set(row))+(keyword_set(column) EQ row) 
+; checking for row and column keywords
+   row = keyword_set(row)*(1-keyword_set(column))
+   column = keyword_set(column)*(1-keyword_set(row))+(keyword_set(column) EQ row)
    if NOT keyword_set(uvalue) then uvalue = ''
    if NOT keyword_set(uname) then uname = ''
@@ -318,5 +301,5 @@
                       , FUNC_GET_VALUE='cw_droplist_pm_get_value' $
                       , PRO_SET_VALUE='cw_droplist_pm_set_value' $
-                      , UVALUE = uvalue, UNAME = uname, _extra = ex)   
+                      , UVALUE = uvalue, UNAME = uname, _extra = ex)
 ;
    if keyword_set(row) THEN nothing = widget_button(base,value= '-', uvalue= 'minus')
Index: trunk/SRC/ToBeReviewed/WIDGET/COMPOUND_WIDGET/cw_slide_slice.pro
===================================================================
--- trunk/SRC/ToBeReviewed/WIDGET/COMPOUND_WIDGET/cw_slide_slice.pro	(revision 221)
+++ trunk/SRC/ToBeReviewed/WIDGET/COMPOUND_WIDGET/cw_slide_slice.pro	(revision 226)
@@ -5,7 +5,6 @@
 ; @categories
 ; Compound widget
-; 
+;
 ; @param ID
-;
 ;
 ; @param VALUE
@@ -13,19 +12,14 @@
 ;
 ; @returns
-; 
-; 
+;
 ; @uses
-; 
-; 
+;
 ; @restrictions
-; 
-; 
+;
 ; @examples
-; 
-; 
+;
 ; @history
-; 
-; 
-; @version 
+;
+; @version
 ; $Id$
 ;-
@@ -49,5 +43,5 @@
       widget_control, sliderid, set_value = {slider_min:mini, slider_max:maxi, value:boxzoom[0]<maxi}
       thickness = boxzoom[1]-boxzoom[0]
-   ENDIF ELSE BEGIN 
+   ENDIF ELSE BEGIN
       mini = floor(min([gphit, gphif], max = maxi))
       maxi = ceil(maxi)-thickness
@@ -57,5 +51,5 @@
    thicknessval = thicknessuval.choix
    index = where(thicknessval EQ thickness) & index = index[0]
-   if index EQ -1 then BEGIN 
+   if index EQ -1 then BEGIN
       index = 20
       thicknessval[20] = strtrim(thickness, 1)
@@ -73,24 +67,18 @@
 ; @categories
 ; Compound widget
-; 
+;
 ; @param EVENT
 ;
-;
 ; @returns
-; 
-; 
+;
 ; @uses
-; 
-; 
+;
 ; @restrictions
-; 
-; 
+;
 ; @examples
-; 
-; 
+;
 ; @history
-; 
-; 
-; @version 
+;
+; @version
 ; $Id$
 ;-
@@ -117,5 +105,5 @@
          mini = floor(min([glamt, glamf], max = maxi))
          maxi = ceil(maxi)-thickness
-      ENDIF ELSE BEGIN 
+      ENDIF ELSE BEGIN
          mini = floor(min([gphit, gphif], max = maxi))
          maxi = ceil(maxi)-thickness
@@ -136,5 +124,5 @@
 ; print, lon1, mini, maxi
 ;             widget_control, sliderid, set_value = {value:lon1, slider_min_max:[mini, maxi]}
-;          ENDIF ELSE BEGIN 
+;          ENDIF ELSE BEGIN
 ;             mini = floor(min([gphit, glamf], max = maxi))
 ;             maxi = ceil(maxi)
@@ -145,5 +133,5 @@
 ; print, 'ds if',firstxt, 0, jpi-1
 ;             widget_control, sliderid, set_value = {value:firstxt, slider_min_max:[0, jpi-1]}
-;          ENDIF ELSE BEGIN 
+;          ENDIF ELSE BEGIN
 ;             widget_control, sliderid, set_value = {value:firstyt, slider_min_max:[0, jpj-1]}
 ;          ENDELSE
@@ -154,13 +142,13 @@
    if type EQ 'y' then begin
       boxzoom[0] = slider &  boxzoom[1] = slider+thickness
-   ENDIF ELSE BEGIN 
+   ENDIF ELSE BEGIN
       boxzoom[2] = slider &  boxzoom[3] = slider+thickness
-   ENDELSE 
+   ENDELSE
 ;    ENDIF ELSE BEGIN
 ;       if strpos(type,'y') NE -1 then begin
 ;          boxzoom[0] = glamt[slider, 0] &  boxzoom[1] = glamf[slider+thickness, 0]
-;       ENDIF ELSE BEGIN 
+;       ENDIF ELSE BEGIN
 ;          boxzoom[2] = gphit[0, slider] &  boxzoom[3] = gphif[0, slider+thickness]
-;       ENDELSE 
+;       ENDELSE
 ;    ENDELSE
    widget_control, domainid, set_value = boxzoom
@@ -179,11 +167,11 @@
 ;
 ; @keyword BOXZOOM
-; Vector indicating the geographic zone on which we want to cut the map. 
-; If BOXZOOM has : 
+; Vector indicating the geographic zone on which we want to cut the map.
+; If BOXZOOM has :
 ;   1 element : The extraction is made on [lon1, lon2, lat1, lat2, 0.,boxzoom[0]]
 ;   2 elements: The extraction is made on [lon1, lon2, lat1, lat2, boxzoom[0],boxzoom[1]]
 ;   4 elements: The extraction is made on [Boxzoom, 0, max([gdept, gdepw])]
 ;   5 elements: The extraction is made on [Boxzoom[0:3], 0, Boxzoom[4]]
-;   6 elements: The extraction is made on Boxzoom 
+;   6 elements: The extraction is made on Boxzoom
 ; Where lon1, lon2,lat1,lat2 are global variables defined at the last domdef!
 ;
@@ -191,39 +179,34 @@
 ; Buttons will be arranged in the number of columns
 ; specified by this keyword.
-; 
+;
 ; @keyword FRAME
 ; Specifies the width of the frame to be drawn around the base.
-; 
+;
 ; @keyword ROW
 ; Buttons will be arranged in the number of rows
 ; specified by this keyword.
-; 
+;
 ; @keyword UVALUE
 ; The user value to be associated with the widget.
-; 
+;
 ; @keyword UNAME
 ; The user name to be associated with the widget.
-; 
+;
 ; @keyword _EXTRA
 ; Used to pass your keywords
-; 
+;
 ; @returns
-; 
-; 
+;
 ; @uses
-; 
-; 
+;
 ; @restrictions
-; 
-; 
+;
 ; @examples
-; 
-; 
+;
 ; @history
-; 
-; 
-; @version 
+;
+; @version
 ; $Id$
-; 
+;
 ; @todo
 ; seb: documenter
@@ -236,7 +219,7 @@
 @common
 ;------------------------------------------------
-; cheking exclusive keywords
+; checking exclusive keywords
    column = keyword_set(column)*(1-keyword_set(row))
-   row = keyword_set(row)*(1-keyword_set(column)) +(keyword_set(row) EQ column) 
+   row = keyword_set(row)*(1-keyword_set(column)) +(keyword_set(row) EQ column)
    if NOT keyword_set(uvalue) then uvalue = ''
    if NOT keyword_set(uname) then uname = ''
@@ -247,5 +230,5 @@
                       , PRO_SET_VALUE='cw_slide_slice_set_value' $
                       , ROW = row, COLUMN = column, UVALUE = uvalue, UNAME = uname $
-                      , FRAME = frame, _extra = ex)   
+                      , FRAME = frame, _extra = ex)
 ;------------------------------------------------
    if NOT keyword_set(boxzoom) then boxzoom = [lon1, lon2, lat1, lat2]
@@ -264,5 +247,5 @@
                           , value = mini > boxzoom[0] < maxi, /column, uname = 'slider' $
                           , uvalue = {name:'slider'})
-   ENDIF ELSE BEGIN 
+   ENDIF ELSE BEGIN
       mini = floor(min([gphit, gphif], max = maxi))
       thickness = boxzoom[3]-boxzoom[2]
@@ -273,5 +256,5 @@
    ENDELSE
    index = where(thicknessval EQ thickness) & index = index[0]
-   if index EQ -1 then BEGIN 
+   if index EQ -1 then BEGIN
       index = 20
       thicknessval[20] = strtrim(thickness, 1)
@@ -280,13 +263,13 @@
    endif
    widget_control, droplistid, set_value = {droplist_select:index}
-   
+
 ;   if type EQ 'xt' then begin
 ;       mini = floor(min([glamt,glamf], max = maxi))
 ;       maxi = ceil(maxi)
-;    ENDIF ELSE BEGIN 
+;    ENDIF ELSE BEGIN
 ;       mini = floor(min([gphit,gphif], max = maxi))
 ;       maxi = ceil(maxi)
 ;    ENDELSE
-   
+ 
 ;------------------------------------------------
    return, base
Index: trunk/SRC/ToBeReviewed/WIDGET/COMPOUND_WIDGET/cw_slider_pm.pro
===================================================================
--- trunk/SRC/ToBeReviewed/WIDGET/COMPOUND_WIDGET/cw_slider_pm.pro	(revision 221)
+++ trunk/SRC/ToBeReviewed/WIDGET/COMPOUND_WIDGET/cw_slider_pm.pro	(revision 226)
@@ -6,17 +6,17 @@
 ;    case uval of
 ;       'done':widget_control, event.top, /destroy
-;       'slider_min':BEGIN 
+;       'slider_min':BEGIN
 ;          widget_control, event.id, get_value = value
 ;          widget_control, SliderBarId, set_value = {slider_min:value}
 ;       END
-;       'slider_max':BEGIN 
+;       'slider_max':BEGIN
 ;          widget_control, event.id, get_value = value
 ;          widget_control, SliderBarId, set_value = {slider_max:value}
 ;       END
-;       'slider_value':BEGIN 
+;       'slider_value':BEGIN
 ;          widget_control, event.id, get_value = value
 ;          widget_control, SliderBarId, set_value = value
 ;       END
-;       'get':BEGIN 
+;       'get':BEGIN
 ;          widget_control, SliderBarId, get_value = value
 ;          help,  value, /struct
@@ -57,19 +57,14 @@
 ;
 ; @returns
-; 
-; 
+;
 ; @uses
-; 
-; 
-; @restrictions
-; 
-; 
-; @examples
-; 
-; 
-; @history
-; 
-; 
-; @version 
+;
+; @restrictions
+;
+; @examples
+;
+; @history
+;
+; @version
 ; $Id$
 ;-
@@ -93,19 +88,14 @@
 ;
 ; @returns
-; 
-; 
+;
 ; @uses
-; 
-; 
-; @restrictions
-; 
-; 
-; @examples
-; 
-; 
-; @history
-; 
-; 
-; @version 
+;
+; @restrictions
+;
+; @examples
+;
+; @history
+;
+; @version
 ; $Id$
 ;-
@@ -124,7 +114,6 @@
 ; @categories
 ; Compound widget
-; 
+;
 ; @param ID
-;
 ;
 ; @param VALUE
@@ -132,19 +121,14 @@
 ;
 ; @returns
-; 
-; 
+;
 ; @uses
-; 
-; 
-; @restrictions
-; 
-; 
-; @examples
-; 
-; 
-; @history
-; 
-; 
-; @version 
+;
+; @restrictions
+;
+; @examples
+;
+; @history
+;
+; @version
 ; $Id$
 ;-
@@ -161,5 +145,5 @@
       case strtrim(strlowcase(tagnames[tag]), 2) of
         'slider_min':BEGIN
-;          IF float(value.slider_min[0]) LT minmax[1] THEN BEGIN 
+;          IF float(value.slider_min[0]) LT minmax[1] THEN BEGIN
             minmax[0] = value.slider_min[0]
             widget_control, sbid, set_slider_min = floor(float(value.slider_min[0]))
@@ -169,9 +153,9 @@
               widget_control, dcid, set_value = decvalue(value.slider_min)
               widget_control, dcid, set_combobox_select = decind(value.slider_min)
-            ENDIF 
-;          ENDIF 
+            ENDIF
+;          ENDIF
         end
         'slider_max':BEGIN
-;          IF float(value.slider_max[0]) GT minmax[0] THEN BEGIN 
+;          IF float(value.slider_max[0]) GT minmax[0] THEN BEGIN
             minmax[1] = value.slider_max[0]
             widget_control, sbid, set_slider_max = ceil(float(value.slider_max[0]))
@@ -181,6 +165,6 @@
               widget_control, dcid, set_value = decvalue(value.slider_max)
               widget_control, dcid, set_combobox_select = decind(value.slider_max)
-            ENDIF 
-;          ENDIF 
+            ENDIF
+;          ENDIF
         end
         'value':IF float(value.value[0]) GE minmax[0] $
@@ -189,13 +173,13 @@
       endcase
     endfor
-  ENDIF ELSE BEGIN 
+  ENDIF ELSE BEGIN
     IF float(value[0]) GE minmax[0] $
       AND float(value[0]) LE minmax[1] THEN value2 = float(value[0])
   ENDELSE
-  IF n_elements(value2) NE 0 THEN BEGIN 
+  IF n_elements(value2) NE 0 THEN BEGIN
     widget_control, sbid, set_value = fix(value2)
     widget_control, dcid, set_value = decvalue(value2)
     widget_control, dcid, set_combobox_select = decind(value2)
-  ENDIF 
+  ENDIF
   return
 end
@@ -206,25 +190,19 @@
 ;
 ; @categories
-; Compound widget 
-; 
+; Compound widget
+;
 ; @param ID
 ;
-;
-; @returns
-; 
-; 
+; @returns
+;
 ; @uses
-; 
-; 
-; @restrictions
-; 
-; 
-; @examples
-; 
-; 
-; @history
-; 
-; 
-; @version 
+;
+; @restrictions
+;
+; @examples
+;
+; @history
+;
+; @version
 ; $Id$
 ;-
@@ -246,24 +224,18 @@
 ; @categories
 ; Compound widget
-; 
+;
 ; @param EVENT
-; 
-;
-; @returns
-; 
-; 
+;
+; @returns
+;
 ; @uses
-; 
-; 
-; @restrictions
-; 
-; 
-; @examples
-; 
-; 
-; @history
-; 
-; 
-; @version 
+;
+; @restrictions
+;
+; @examples
+;
+; @history
+;
+; @version
 ; $Id$
 ;-
@@ -284,5 +256,5 @@
     'minus':if (value - 1) GE minmax[0] then value2 = value - 1 ELSE out = -1
     'SliderBar':if (event.value + value - floor(value)) LE minmax[1] THEN value2 = event.value + value - floor(value)
-    'decimal':BEGIN 
+    'decimal':BEGIN
       CASE 1 OF
         value GT minmax[1]: value2 = minmax[1]
@@ -313,5 +285,5 @@
 ; @categories
 ; Compound widget
-; 
+;
 ; @param PARENT {in}{required}
 ; The widget ID of the parent widget.
@@ -319,17 +291,15 @@
 ; @keyword UVALUE
 ; The user value to be associated with the widget.
-; 
+;
 ; @keyword UNAME
 ; The user name to be associated with the widget.
-; 
+;
 ; @keyword VALUE
 ;
-;
 ; @keyword MAXIMUM
-; 
-; 
+;
 ; @keyword MINIMUM
 ;
-; 
+;
 ; @keyword STRMINLEN
 ;
@@ -365,5 +335,5 @@
 ;  computationally expensive operations until the user releases the
 ;  slider.
-;  OUT:It is an integer which can take 3 values: 
+;  OUT:It is an integer which can take 3 values:
 ;       1 : If we press + when the index is already at the max
 ;       Comment: In this case, the index stay at the max
@@ -378,6 +348,6 @@
 ;       1) GET_VALUE
 ;   widget_control,wid_id,get_value=resultat
-;   Send back in the result variable a structure of 2 elements whose name 
-;   are inspired from keywords we can pass at 
+;   Send back in the result variable a structure of 2 elements whose name
+;   are inspired from keywords we can pass at
 ;   widget_control when we use WIDGET_SLIDER:
 ;            VALUE:the value setting of the widget
@@ -386,8 +356,8 @@
 ;       2) SET_VALUE
 ;   widget_control,wid_id,set_value=impose
-;   Allows to modify the state of the combobox like we can do it for 
-;   WIDGET_COMBOBOX. May impose:  
+;   Allows to modify the state of the combobox like we can do it for
+;   WIDGET_COMBOBOX. May impose:
 ;       a) a integer: give the new position of the slider.
-;       b) A structure which can have for elements (from 1 to 3): 
+;       b) A structure which can have for elements (from 1 to 3):
 ;            VALUE: an integer which give the new position of the slider
 ;            SLIDER_MIN:Set to a new minimum value for the specified
@@ -428,7 +398,7 @@
   if NOT keyword_set(title) then title = '    '
 ;
-; cheking exclusive keywords
+; checking exclusive keywords
   column = (keyword_set(column)*(1-keyword_set(row))+keyword_set(vertical)) < 1
-  row = keyword_set(row)*(1-keyword_set(column)) +(keyword_set(row) EQ column) 
+  row = keyword_set(row)*(1-keyword_set(column)) +(keyword_set(row) EQ column)
   if NOT keyword_set(uvalue) then uvalue = ''
   if NOT keyword_set(uname) then uname = ''
@@ -437,5 +407,5 @@
                      , FUNC_GET_VALUE = 'cw_slider_pm_get_value' $
                      , PRO_SET_VALUE = 'cw_slider_pm_set_value' $
-                     , space = 0, UVALUE = uvalue, UNAME = uname, _extra = ex)   
+                     , space = 0, UVALUE = uvalue, UNAME = uname, _extra = ex)
 ;
   mlen = (widget_info(base, string_size = 'm'))[0]
Index: trunk/SRC/ToBeReviewed/WIDGET/COMPOUND_WIDGET/cw_specifie.pro
===================================================================
--- trunk/SRC/ToBeReviewed/WIDGET/COMPOUND_WIDGET/cw_specifie.pro	(revision 221)
+++ trunk/SRC/ToBeReviewed/WIDGET/COMPOUND_WIDGET/cw_specifie.pro	(revision 226)
@@ -6,7 +6,6 @@
 ; @categories
 ; Compound widget
-; 
+;
 ; @param ID
-;
 ;
 ; @param VALUE
@@ -14,22 +13,16 @@
 ;
 ; @returns
-; 
-; 
-; @uses
-; 
-; 
-; @restrictions
-; 
-; 
-; @examples
-; 
-; 
-; @history
-; 
-; 
-; @version 
-; $Id$
-;-
-;*****************************************************
+;
+; @uses
+;
+; @restrictions
+;
+; @examples
+;
+; @history
+;
+; @version
+; $Id$
+;-
 PRO cw_specifie_set_value, id, value
 ;
@@ -43,5 +36,5 @@
    widget_control, widget_info(id,find_by_uname='palnum'), set_value = strtrim(value.lct, 2)
    autres = extractstru(value, ['min', 'max', 'inter', 'lct', 'nothing', 'xindex', 'yindex'])
-   if size(autres, /type) EQ 8 then BEGIN 
+   if size(autres, /type) EQ 8 then BEGIN
       autresid = widget_info(id,find_by_uname='autres')
       widget_control, widget_info(id, find_by_uname = 'autres'), get_value = autresautres
@@ -64,27 +57,20 @@
 ; @categories
 ; Compound widget
-; 
+;
 ; @param ID
 ;
-;
-; @returns
-; 
-; 
-; @uses
-; 
-; 
-; @restrictions
-; 
-; 
-; @examples
-; 
-; 
-; @history
-; 
-; 
-; @version 
-; $Id$
-;-
-;*****************************************************
+; @returns
+;
+; @uses
+;
+; @restrictions
+;
+; @examples
+;
+; @history
+;
+; @version
+; $Id$
+;-
 FUNCTION cw_specifie_get_value, id
 ;
@@ -118,30 +104,23 @@
 ; @categories
 ; Compound widget
-; 
+;
 ; @param EVENT
 ;
-;
-; @returns
-; 
-; 
-; @uses
-; 
-; 
-; @restrictions
-; 
-; 
-; @examples
-; 
-; 
-; @history
-; 
-; 
-; @version 
-; $Id$
-;-
-;*****************************************************
+; @returns
+;
+; @uses
+;
+; @restrictions
+;
+; @examples
+;
+; @history
+;
+; @version
+; $Id$
+;-
 FUNCTION cw_specifie_event, event
 ;------------------------------------------------------------
-; on recuper les ID des differents widgets 
+; on recupere les ID des differents widgets
 ;------------------------------------------------------------
 ;------------------------------------------------------------
@@ -157,7 +136,7 @@
 ;------------------------------------------------------------
   case uval of
-    'default':BEGIN 
+    'default':BEGIN
 ;---------------
-; We find the name of the variable: 
+; We find the name of the variable:
       vlstid = widget_info(event.top, find_by_uname = 'varlist')
       fieldname = widget_info(vlstid, /combobox_gettext)
@@ -170,5 +149,5 @@
       widget_control, widget_info(event.handler, find_by_uname = 'autres'), set_value = ''
     END
-    'palcol':BEGIN 
+    'palcol':BEGIN
       ind = fix(strmid(event.value, 0, strpos(event.value, '-')))
       widget_control, widget_info(event.handler, find_by_uname = 'palnum'), set_value = strtrim(ind, 1)
@@ -186,5 +165,5 @@
 ; @categories
 ; Compound widget
-; 
+;
 ; @param PARENT {in}{required}
 ; The widget ID of the parent widget.
@@ -193,12 +172,12 @@
 ; Buttons will be arranged in the number of columns
 ; specified by this keyword.
-; 
+;
 ; @keyword ROW
 ; Buttons will be arranged in the number of rows
 ; specified by this keyword.
-; 
+;
 ; @keyword UVALUE
 ; The user value to be associated with the widget.
-; 
+;
 ; @keyword UNAME
 ; The user name to be associated with the widget.
@@ -206,41 +185,33 @@
 ; @keyword FRAME
 ;
-;
 ; @keyword FORXXX
 ;
-; 
 ; @keyword _EXTRA
 ; Used to pass your keywords
 ;
-; 
-; @returns
-; 
-; 
-; @uses
-; 
-; 
-; @restrictions
-; 
-; 
-; @examples
-; 
-; 
-; @history
-; 
-; 
-; @version 
-; $ID$
+; @returns
+;
+; @uses
+;
+; @restrictions
+;
+; @examples
+;
+; @history
+;
+; @version
+; $Id$
 ;
 ; @todo
 ; seb: documenter
-; 
+;
 ;-
 FUNCTION cw_specifie, parent, ROW = row, COLUMN = column, UVALUE = uvalue, UNAME = uname, FRAME = frame, FORXXX = forxxx, _extra = ex
-; cheking exclusive keywords
+; checking exclusive keywords
 ;
   compile_opt idl2, strictarrsubs
 ;
    column = keyword_set(column)*(1-keyword_set(row))
-   row = keyword_set(row)*(1-keyword_set(column)) +(keyword_set(row) EQ column) 
+   row = keyword_set(row)*(1-keyword_set(column)) +(keyword_set(row) EQ column)
 ;------------------------------------------------
    if NOT keyword_set(uvalue) then uvalue = ''
@@ -250,6 +221,6 @@
                       , FUNC_GET_VALUE='cw_specifie_get_value' $
                       , PRO_SET_VALUE='cw_specifie_set_value' $
-                      , UVALUE = uvalue, UNAME = uname, _extra = ex)   
-; base1 
+                      , UVALUE = uvalue, UNAME = uname, _extra = ex)
+; base1
    base1 = widget_base(base)
    rien = widget_label(base1, value = 'Min', xoffset =  85, yoffset = 15)
@@ -277,7 +248,7 @@
 
 
-; widget text containig other keywords pass into top_uvalue.exextra
+; widget text containing other keywords pass into top_uvalue.exextra
 ; Does it remain some? If yes, we have to put them as string
-   
+
    rien = widget_text(base, value = '  ', /editable, uname = 'autres', uvalue = 'autres', xsize = 54, ysize = 3, yoffset = 65, /wrap, /no_newline)
 
Index: trunk/SRC/ToBeReviewed/WIDGET/xnotice.pro
===================================================================
--- trunk/SRC/ToBeReviewed/WIDGET/xnotice.pro	(revision 221)
+++ trunk/SRC/ToBeReviewed/WIDGET/xnotice.pro	(revision 226)
@@ -9,11 +9,11 @@
 ; @categories
 ; Information
-; 
+;
 ; @param TEXT {in}{required}{type=string vector or scalar}
-; it is a string or a vector of string. If it is a scalar, we 
+; it is a string or a vector of string. If it is a scalar, we
 ; look for the line separator !C to create a text with several lines.
 ;
 ; @keyword CHKWIDGET
-; Force to verify that they are some active widget to create a widget, 
+; Force to verify that they are some active widget to create a widget,
 ; otherwise print at the prompt
 ;
@@ -21,7 +21,7 @@
 ; The identity of the created widget
 ;
-; @restrictions 
-; It do not call xmanager -> It do not create any event! 
-; We have to delete this widget manuelly:
+; @restrictions
+; It do not call xmanager -> It do not create any event!
+; We have to delete this widget manually:
 ; widget_control, widgetid, /destroy
 ;
Index: trunk/SRC/ToBeReviewed/WIDGET/xxx.pro
===================================================================
--- trunk/SRC/ToBeReviewed/WIDGET/xxx.pro	(revision 221)
+++ trunk/SRC/ToBeReviewed/WIDGET/xxx.pro	(revision 226)
@@ -5,24 +5,18 @@
 ; @categories
 ;
-; 
 ; @param EVENT
 ;
 ;
 ; @returns
-; 
-; 
+;
 ; @uses
-; 
-; 
+;
 ; @restrictions
-; 
-; 
+;
 ; @examples
-; 
-; 
+;
 ; @history
-; 
-; 
-; @version 
+;
+; @version
 ; $Id$
 ;-
@@ -35,5 +29,5 @@
 ;------------------------------------------------------------
 ;    = widget_info(event.top,find_by_uname = '')
-; What is the type of evenment ?
+; What is the type of event ?
 ;   if event.id EQ 622 then help,  event,  /struct
    widget_control, event.id, get_uvalue=uval
@@ -42,5 +36,5 @@
 ;help,  event, /struct
 ;help, uval , /struct
-; case on the type of evenment
+; case on the type of event
    widget_control, event.top, get_uvalue = top_uvalue
 ; If we activate the keyword separate at the call of xxx
@@ -122,5 +116,5 @@
 ; @categories
 ; Widget
-; 
+;
 ; @param DATAFILENAME
 ;
@@ -134,11 +128,11 @@
 ; @keyword SEPARATE
 ; To separate the button part and the drawing part in 2 windows.
-; Useful for small screens, but be careful to do not saturate the 
+; Useful for small screens, but be careful to do not saturate the
 ; video memory of some antiquated Tx.
 ;
 ; @keyword RESTORE
-; 'toto.dat' or toto.dat is a file created at the time of a precedent 
+; 'toto.dat' or toto.dat is a file created at the time of a precedent
 ; use of xxx thanks to the command "Widget" of the menu "save as".
-; 
+;
 ; @keyword _EXTRA
 ; Used to pass your keywords
@@ -148,10 +142,10 @@
 ;
 ; @keyword REDRAW
-; 
+;
 ;
 ; @keyword SEPARATE
 ;
 ;
-; @keyword UVALUE 
+; @keyword UVALUE
 ; The user value to be associated with the widget.
 ;
@@ -191,9 +185,9 @@
   if keyword_set(restore) then BEGIN
     restore = isafile(filename = restore, iodir = homedir, _extra = ex)
-    if size(restore, /type) NE 7 then restore = 0 ELSE BEGIN 
+    if size(restore, /type) NE 7 then restore = 0 ELSE BEGIN
       restore, isafile(file = restore, iodir = homedir, _extra = ex)
       newgrid = *(extractatt(uvalue, 'meshparameters'))[0]
       change = changegrid(newgrid)
-    ENDELSE 
+    ENDELSE
   endif
   if n_elements(CallerWidId) NE 0 THEN $
@@ -203,5 +197,5 @@
 ; list of files we want to look at
 ;
-  if keyword_set(uvalue) then BEGIN 
+  if keyword_set(uvalue) then BEGIN
     currentfile = extractatt(uvalue, 'currentfile')
     filelist = extractatt(uvalue, 'filelist')
@@ -222,16 +216,16 @@
   ENDELSE
 ;
-  if keyword_set(uvalue) THEN BEGIN 
+  if keyword_set(uvalue) THEN BEGIN
     smallin = extractatt(uvalue, 'smallin')
     smallout = extractatt(uvalue, 'smallout')
-  ENDIF ELSE BEGIN 
+  ENDIF ELSE BEGIN
     smallin = [1, 1, 1]
     smallout = [1, 1, 1]
-  ENDELSE 
+  ENDELSE
   nbredessin = smallin[0]*smallin[1]
   numdessinin = smallin[2]-1
 ; warning flg definition must be consistent with cw_pdmenu argument
 ; see also flag definition in cw_pagelayout
-  if keyword_set(uvalue) then BEGIN 
+  if keyword_set(uvalue) then BEGIN
     flag = extractatt(uvalue, 'optionsflag')
     key_portrait = flag[0, numdessinin]
@@ -252,8 +246,8 @@
 ; The top base
 ;------------------------------------------------------------
-  IF xxxsize[0] LE scrsize[0] AND xxxsize[1] LE scrsize[1] THEN BEGIN 
+  IF xxxsize[0] LE scrsize[0] AND xxxsize[1] LE scrsize[1] THEN BEGIN
     base = widget_base(title = 'xxx', GROUP_LEADER = group, /tracking_events $
                        , uname = 'base', space = 0)
-  ENDIF ELSE BEGIN 
+  ENDIF ELSE BEGIN
     base = widget_base(title = 'xxx', GROUP_LEADER = group, /tracking_events $
                        , uname = 'base', space = 0 $
@@ -278,5 +272,5 @@
     selectact = (extractatt(uvalue, 'types'))[numdessinin]
     selectact = (where(pltlst EQ selectact))[0]
-    widget_control, actid, set_combobox_select = 0 > selectact 
+    widget_control, actid, set_combobox_select = 0 > selectact
   ENDIF ELSE selectfile = 0
 
@@ -316,5 +310,5 @@
   yoff = yoff + 37
   xoff = 5
-; boutton 'OK'
+; button 'OK'
   baseok = widget_button(base, value = ' OK ', uvalue = {name:'ok'}, uname = 'ok button' $
                          , /frame, xoffset = xoff, yoffset = yoff)
@@ -337,5 +331,5 @@
     selectvar = (extractatt(uvalue, 'varinfo'))[1, numdessinin]
     selectvar = (where(currentlistvar EQ selectvar))[0]
-    widget_control, vlstid, set_combobox_select = 0 > selectvar 
+    widget_control, vlstid, set_combobox_select = 0 > selectvar
   ENDIF ELSE selectvar = 0
 ;------------------------------------------------------------
@@ -348,5 +342,5 @@
     selectfile = (extractatt(uvalue, 'varinfo'))[0, numdessinin]
     selectfile = (where(file_basename(filelist) EQ selectfile))[0]
-    widget_control, flstid, set_combobox_select = 0 > selectfile 
+    widget_control, flstid, set_combobox_select = 0 > selectfile
   ENDIF ELSE selectfile = 0
 ;------------------------------------------------------------
@@ -375,5 +369,5 @@
   dummyid = cw_calendar(basecalid, currentcalendar, date2, FAKECAL = fakecal, uname = 'calendar2', uvalue = {name:'calendar2'}, /frame)
 ;------------------------------------------------------------
-; Domain 
+; Domain
 ;------------------------------------------------------------
   yoff = yoff + 60
@@ -399,5 +393,5 @@
      basegraph = widget_base(title = 'xxx window',  group_leader = base, uvalue = base) $
   ELSE basegraph = base
-  
+
   graphid = widget_draw(basegraph, uname = 'graph', /button_events, retain = 2 $
                         , uvalue = {name:'graph', press:0, click:0, x:[0., 0.], y:[0., 0.]} $
@@ -416,7 +410,7 @@
   if keyword_set(uvalue) then BEGIN ;
 ; We recopy the pointer uvalue in top_uvalue.
-; Beware, we have to redefine completely top_value from variables 
-; pointed by uvalue. Otherwise, if we simply do top_value = uvalue, 
-; when we delete by uvalue and variables on which it point, we 
+; Beware, we have to redefine completely top_value from variables
+; pointed by uvalue. Otherwise, if we simply do top_value = uvalue,
+; when we delete by uvalue and variables on which it point, we
 ; also delete variables on which point top_value.
     case 1 of
@@ -443,5 +437,5 @@
 ; widgets's state
         updatewidget, base
-; 
+;
       END
       ELSE:BEGIN
@@ -450,15 +444,15 @@
         FOR i =  0, 14 do *top_uvalue[1, i] = *uvalue[1, i]
         FOR i = 18, 27 do *top_uvalue[1, i] = *uvalue[1, i]
-        numfile = n_elements(extractatt(uvalue, 'filelist')) 
+        numfile = n_elements(extractatt(uvalue, 'filelist'))
         *top_uvalue[1, 15] = ptrarr(numfile, /allocate_heap)
         *top_uvalue[1, 16] = ptrarr(numfile, /allocate_heap)
         *top_uvalue[1, 17] = ptrarr(numfile, /allocate_heap)
         for i = 0, numfile-1 do begin
-          *(*top_uvalue[1, 15])[i] = *(*uvalue[1, 15])[i] 
-          *(*top_uvalue[1, 16])[i] = *(*uvalue[1, 16])[i] 
-          *(*top_uvalue[1, 17])[i] = *(*uvalue[1, 17])[i] 
+          *(*top_uvalue[1, 15])[i] = *(*uvalue[1, 15])[i]
+          *(*top_uvalue[1, 16])[i] = *(*uvalue[1, 16])[i]
+          *(*top_uvalue[1, 17])[i] = *(*uvalue[1, 17])[i]
         endfor
         *top_uvalue[1, 28] = ptrarr(nbredessin, /allocate_heap)
-        for i = 0, nbredessin-1 do *(*top_uvalue[1, 28])[i] = *(*uvalue[1, 28])[i] 
+        for i = 0, nbredessin-1 do *(*top_uvalue[1, 28])[i] = *(*uvalue[1, 28])[i]
         widget_control, base, set_uvalue = top_uvalue
 ; Copy the screen of the widget of uvalue in top_value's one
@@ -478,7 +472,7 @@
 ;
 ENDIF ELSE BEGIN
-; Otherwise we will define all elements we will hook at the widget 
-; thanks to the top_value which is a pointer array with 2 
-; columns: names and variables. 
+; Otherwise we will define all elements we will hook at the widget
+; thanks to the top_value which is a pointer array with 2
+; columns: names and variables.
 ; We initialize all these elements.
 ; Variables concerning the widget in its generality.
@@ -486,6 +480,6 @@
 ; variables se rapportant aux differents fichiers que l''on peut lire
 ; variables specifiques a chaque dessin
-;      
-    
+;
+
 ; creation of the pointer we will hook at the widget.
     top_uvalue = ptrarr(2, 29, /allocate_heap)
@@ -516,5 +510,5 @@
     *top_uvalue[0, 21] = 'nameprocedures' & *top_uvalue[1, 21] = strarr(nbredessin)
     *top_uvalue[0, 22] = 'types' & *top_uvalue[1, 22] = strarr(nbredessin)
-    *top_uvalue[0, 23] = 'varinfo' & *top_uvalue[1, 23] = strarr(2, nbredessin)    
+    *top_uvalue[0, 23] = 'varinfo' & *top_uvalue[1, 23] = strarr(2, nbredessin)
     *top_uvalue[0, 24] = 'domaines' & *top_uvalue[1, 24] = fltarr(6, nbredessin)
     *top_uvalue[0, 25] = 'dates' & *top_uvalue[1, 25] = lonarr(2, nbredessin)
@@ -526,7 +520,7 @@
     createhistory, base, smallin
 ;
-  ENDELSE 
-;------------------------------------------------------------
-  xmanager, 'xxx', base, /no_block 
+  ENDELSE
+;------------------------------------------------------------
+  xmanager, 'xxx', base, /no_block
 ;------------------------------------------------------------
 ;------------------------------------------------------------
